# Generated from reveal-ck-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name reveal-ck

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: Create reveal.js presentations with Markdown
License: MIT
URL: https://github.com/jedcn/reveal-ck
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(nokogiri)
# BuildRequires: rubygem(relish)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) >= 0.60
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A cli for generating reveal.js presentations from markdown.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/reveal-ck
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/files
%{gem_libdir}
%{gem_instdir}/rakelib
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 4.0.0-1
- Initial package
